## org.hornetq.api.core.management
Interface AcceptorControl

All Superinterfaces:
  HornetQComponentControl

    public interface AcceptorControl

extends HornetQComponentControl

An AcceptorControl is used to manage Acceptors.

Author:
  Jeff Mesnil
See Also:
  `Acceptor`

Method Summary
`String` `getFactoryClassName()` Returns the class name of the AcceptorFactory implementation used by this acceptor.
`String` `getName()` Returns the name of the acceptor
`Map<String,Object>` `getParameters()` Returns the parameters used to configure this acceptor

Methods inherited from interface org.hornetq.api.core.management.HornetQComponentControl
`isStarted, start, stop`

Method Detail

### getName

    String getName()

  Returns the name of the acceptor

### getFactoryClassName

    String getFactoryClassName()

  Returns the class name of the AcceptorFactory implementation used by this acceptor.

  See Also:
    `AcceptorFactory`

### getParameters

    Map<String,Object> getParameters()

  Returns the parameters used to configure this acceptor

Copyright © 2009 Red Hat Inc. All Rights Reserved.